package adsrepository

import (
	"fmt"
	adsdomain "legalgo-BE-go/internal/domain/ads"
)

func (a *accessor) Create(spec adsdomain.Ads) error {
	if err := a.db.Create(&spec).Error; err != nil {
		return fmt.Errorf("failed to create ads: %v", err)
	}

	return nil
}
